org.apache.thrift.protocol

## Class TStruct

- java.lang.Object
- - org.apache.thrift.protocol.TStruct

-     public final class TStruct
      extends java.lang.Object

  Helper class that encapsulates struct metadata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TStruct()`
    `TStruct(java.lang.String n)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

  - ### Constructor Detail

    - #### TStruct

          public TStruct()

    - #### TStruct

          public TStruct(java.lang.String n)